#ifndef XGFXAABTREE_H
#define XGFXAABTREE_H

#include "xasset.h"

#include <QVector>
#include <QVector3D>

class XGfxAabbTree : public XAsset
{
public:
    XGfxAabbTree();
    ~XGfxAabbTree();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mMins;
    QVector3D mMaxs;
    quint32 mChildCount;
    quint32 mSurfaceCount;
    quint32 mStartSurfIndex;

    quint32 mModelIndexCount;
    qint32 mModelIndexesPtr;
    QVector<quint32> mModelIndexes;

    int mChildrenOffset;
};

#endif // XGFXAABTREE_H
